function buttonshowallPGA(hObject, eventdata, Empty_Button, Buttons, AxesSOL, lcs, RegSlider, RegText, usmn, usmf)
data = get(Empty_Button,'UserData');

data.isred = 0;
data.issol = 0;
data.islive = 0;
data.livet = [];
set(usmn,'Value',0);
set(usmf,'Value',1);
SliderOnOffPGA(RegSlider, RegText, data, 0);
set(Empty_Button,'UserData',data);

if (isfield(data,'isSOL') == 1) && (data.isSOL == 1)
    lc = [];
    lcf = [];
    yl = [inf, -inf];
    
    s = data.noc;
    
    for i=1:s
        lc(i,:) = lcs(mod(i-1,size(lcs,1))+1,:);
        lcf(i,:) = (lc(i,:) > 0)+.8*(lc(i,:) == 0);
        
        yl = [min(yl(1), min(data.SOL(i).a)), max(yl(2), max(data.SOL(i).a))];
    end
    yl = [min(0,yl(1)), yl(2)*1.1];
    
    axes(AxesSOL);
    for i=1:s
        fill(data.SOL(i).xbd([1 2 2 1 1]), yl([1 1 2 2 1]), lcf(i,:));
        hold(AxesSOL, 'on');
    end
    for i=1:s
        plot(AxesSOL, data.x, data.SOL(i).a, 'color', lc(i,:),'Linewidth',2);
    end
    hold(AxesSOL, 'off');
    set(AxesSOL, 'Xlim', [min(data.x), max(data.x)], 'ylim',yl);
    xlabel(AxesSOL,'channel');
    title(AxesSOL, 'All spectra');
end
